From a3b6d2544f46b57e13785246c1303f4aca326c00 Mon Sep 17 00:00:00 2001
From: Kirithika <kirithika@multicorewareinc.com>
Date: Thu, 22 Feb 2024 11:39:30 +0530
Subject: [PATCH] Fix test CLI  for temporal layer feature

---
 source/encoder/encoder.cpp         | 7 ++++---
 source/test/rate-control-tests.txt | 2 +-
 source/test/regression-tests.txt   | 6 +++---
 3 files changed, 8 insertions(+), 7 deletions(-)

diff --git a/source/encoder/encoder.cpp b/source/encoder/encoder.cpp
index 17bc4046f..34b9adede 100644
--- a/source/encoder/encoder.cpp
+++ b/source/encoder/encoder.cpp
@@ -3930,10 +3930,11 @@ void Encoder::configure(x265_param *p)
 
     if (p->bEnableTemporalSubLayers > 2)
     {
-        if (!p->bFrameAdaptive)
+        if (p->bFrameAdaptive)
+        {
             x265_log(p, X265_LOG_WARNING, "Disabling adaptive B-frame placement to support temporal sub-layers\n");
-
-        p->bFrameAdaptive = 0;
+            p->bFrameAdaptive = 0;
+        }
     }
 
     m_bframeDelay = p->bframes ? (p->bBPyramid ? 2 : 1) : 0;
diff --git a/source/test/rate-control-tests.txt b/source/test/rate-control-tests.txt
index e3dd2507d..31c97d65f 100644
--- a/source/test/rate-control-tests.txt
+++ b/source/test/rate-control-tests.txt
@@ -15,7 +15,7 @@ fire_1920x1080_30.yuv,--preset medium --bitrate 1000 --vbv-maxrate 1500 --vbv-bu
 112_1920x1080_25.yuv,--preset ultrafast --bitrate 10000 --vbv-maxrate 10000 --vbv-bufsize 15000 --hrd --strict-cbr
 Traffic_4096x2048_30.yuv,--preset superfast --bitrate 20000 --vbv-maxrate 20000 --vbv-bufsize 20000 --repeat-headers --strict-cbr
 Traffic_4096x2048_30.yuv,--preset faster --bitrate 8000 --vbv-maxrate 8000 --vbv-bufsize 6000 --aud --repeat-headers --no-open-gop --hrd --pmode --pme
-News-4k.y4m,--preset veryfast --bitrate 3000 --vbv-maxrate 5000 --vbv-bufsize 5000 --repeat-headers --temporal-layers
+News-4k.y4m,--preset veryfast --bitrate 3000 --vbv-maxrate 5000 --vbv-bufsize 5000 --repeat-headers --temporal-layers 3
 NebutaFestival_2560x1600_60_10bit_crop.yuv,--preset medium --bitrate 18000 --vbv-bufsize 20000 --vbv-maxrate 18000 --strict-cbr
 NebutaFestival_2560x1600_60_10bit_crop.yuv,--preset medium --bitrate 8000 --vbv-bufsize 12000 --vbv-maxrate 10000  --tune grain
 big_buck_bunny_360p24.y4m,--preset medium --bitrate 400 --vbv-bufsize 600 --vbv-maxrate 600 --aud --hrd --tune fast-decode
diff --git a/source/test/regression-tests.txt b/source/test/regression-tests.txt
index 9a4b51993..aec29d21c 100644
--- a/source/test/regression-tests.txt
+++ b/source/test/regression-tests.txt
@@ -194,7 +194,7 @@ BasketballDrive_1920x1080_50.y4m, --preset ultrafast --no-open-gop --chunk-start
 #RaceHorses_416x240_30_10bit.yuv,--preset ultrafast --signhide --colormatrix bt709 --film-grain "RaceHorses_416x240_30_10bit.bin"
 
 #Temporal layers tests
-ducks_take_off_420_720p50.y4m,--preset slow --temporal-layers 3
-parkrun_ter_720p50.y4m,--preset medium --temporal-layers 4
-BasketballDrive_1920x1080_50.y4m, --preset medium --no-open-gop --keyint 50 --min-keyint 50 --temporal-layers 5
+ducks_take_off_420_720p50.y4m,--preset slow --temporal-layers 3 --b-adapt 0
+parkrun_ter_720p50.y4m,--preset medium --temporal-layers 4 --b-adapt 0
+BasketballDrive_1920x1080_50.y4m, --preset medium --no-open-gop --keyint 50 --min-keyint 50 --temporal-layers 5 --b-adapt 0
 # vim: tw=200
-- 
2.28.0.windows.1

